/**
 * Header file for accessing the 6x8 ascii font.
 * 
 * @author Ben Heiskell
 * @date 2009 09 
 */

/* Font dimensions */
#define F_WIDTH 6
#define F_HEIGHT 8

/* Locate the memory offset for a certain pixel within the image. */
#define FONT_OFFSET(i,j) (F_WIDTH * (j) + (i))

/* Draw a null terminated string or an individual character on the screen. */
       void draw_string3(uint16_t *vb, int x, int y, char *c, uint16_t color);
inline void   draw_char3(uint16_t *vb, int x, int y, char  c, uint16_t color);

/* Actual font data. Really this should never be accessed externally. */
extern const unsigned char fontdata_6x8[12288];
